#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	tumbler
Version		:	4.19.2
Release		:	17.2.0.rel%{?dist}

Summary		:	A D-Bus thumbnailing service based on the thumbnail management D-Bus specification.
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	http://archive.xfce.org/src/xfce/tumbler

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	curl
BuildRequires	:	freetype-devel
BuildRequires	:	glib-devel
BuildRequires	:	gdk-pixbuf
BuildRequires	:	gst-plugins-base
BuildRequires	:	libjpeg-turbo-devel
BuildRequires	:	libgsf
BuildRequires	:	libpng-devel
BuildRequires	:	libxfce4util

#-----------------------------------------------------------------------------
%description
%{name} is a D-Bus service for applications to request thumbnails for
various URI schemes and MIME types. It is an implementation of the 
thumbnail management D-Bus specification described on 

  http://live.gnome.org/ThumbnailerSpec

written in an object-oriented fashion using GLib and GObject. Its 
modular architecture makes it very flexible and useful in many
situations. It provides plugin interfaces for extending the URI schemes
and MIME types for which thumbnails can be generated as well as
for replacing the storage backend that is used to store the thumbnails
on disk.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README.md
%{_sysconfdir}/xdg/%{name}/%{name}.rc
%{_includedir}/%{name}-1/%{name}/%{name}.h
%{_includedir}/%{name}-1/%{name}/%{name}-*.h
%{_libdir}/lib%{name}-1.so*
%{_libdir}/%{name}-1/plugins/%{name}-*so
%{_libdir}/%{name}-1/plugins/cache/%{name}-*so
%{_libdir}/%{name}-1/%{name}d
%{_libdir}/pkgconfig/%{name}-1.pc
%{_libdir}/systemd/user/%{name}d.service
%{_datadir}/dbus-1/services/org.xfce.*.service
%{_datadir}/gtk-doc/html/%{name}/*.{html,png}
%{_datadir}/gtk-doc/html/%{name}/style.css
%{_datadir}/gtk-doc/html/%{name}/%{name}.devhelp2
%{_datadir}/icons/hicolor/*/apps/org.xfce.tumbler.png

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--includedir=%{_includedir}			\
	--sysconfdir=%{_sysconfdir}			\
	--libdir=%{_libdir}				\
	--libexecdir=%{_libexecdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang	%{name}

#-----------------------------------------------------------------------------
%changelog
